! @(#)dazdisp.prg	14.1.1.1 (ESO-DMD) 09/16/99 09:27:28
! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! MIDAS procedure dazdisp.prg to implement MODIFY/DISPLAY, /GRAPHICS
! K. Banse	960626, 980903, 990727
!
! use via MODIFY/DISPLAY (GRAPHICS) target
!         where  target = Icon 	 then: Display window -> Icon
! 			  Window then: Icon -> Display window
!
! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
define/param p1 Icon C "Enter target, ICON or WINDOW:"
define/maxpar 1
! 
define/local index/i/1/1 0
! 
if mid$cmnd(11:11) .eq. "G" then
   action(1:2) = "IK"
   outputc = "Graphics"
   inputc = mid$sess(7:7)
   index = {inputc} + 11		!index into keyword WINOPEN
else
   action(1:2) = "IC"
   outputc = "Display"
   inputc = mid$sess(6:6)
   index = {inputc} + 1			!index into keyword WINOPEN
endif
! 
if inputc(1:1) .eq. " " .or. inputc(1:1) .eq. "-" then
   write/error -101 "No active window..."
endif
! 
if winopen({index}) .eq. 0 then
   write/error -101 "The window is closed - out of sync...!"
endif
! 
if p1(1:1) .eq. "W" then 		!icon -> disp
   if winopen({index}) .eq. 1 then
       write/out {outputc} window {inputc} already on screen...
       return
   else
      write/keyw dazin/i/1/1 0
   endif
else if p1(1:1) .eq. "I" then 		!disp -> icon
   if winopen({index}) .eq. 2 then
       write/out {outputc} window {inputc} already an icon ...
       return
   else
      write/keyw dazin/i/1/1 1
   endif
else
   write/error 30
endif
! 
run MID_EXE:IDFUNC
winopen({index}) = dazin + 1		! 1 = on screen, 2 = an icon
 
